Index: /trunk/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 51)
+++ /trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 52)
@@ -7,13 +7,13 @@
 
    !!----------------------------------------------------------------------
-   !!   dyn_vor_enstrophy :  enstrophy conserving scheme (ln_dynvor_ens=T)
-   !!   dyn_vor_energy    :  energy conserving scheme    (ln_dynvor_ene=T)
-   !!   dyn_vor_mixed     :  mixed enstrophy/energy conserving (ln_dynvor_mix=T)
-   !!   dyn_vor_ctl       : control of the different vorticity option
+   !!   dyn_vor_enstrophy: enstrophy conserving scheme       (ln_dynvor_ens=T)
+   !!   dyn_vor_energy   : energy conserving scheme          (ln_dynvor_ene=T)
+   !!   dyn_vor_mixed    : mixed enstrophy/energy conserving (ln_dynvor_mix=T)
+   !!   dyn_vor_ctl      : control of the different vorticity option
    !!----------------------------------------------------------------------
    !! * Modules used
-   USE oce             ! ocean dynamics and tracers
-   USE dom_oce         ! ocean space and time domain
-   USE in_out_manager  ! I/O manager
+   USE oce            ! ocean dynamics and tracers
+   USE dom_oce        ! ocean space and time domain
+   USE in_out_manager ! I/O manager
    USE trddyn_oce     ! ocean momentum trends
 
@@ -25,4 +25,5 @@
    PUBLIC dyn_vor_energy         ! routine called by step.F90
    PUBLIC dyn_vor_mixed          ! routine called by step.F90
+   PUBLIC dyn_vor_ctl            ! routine called by step.F90
 
    !! * Shared module variables
@@ -42,5 +43,5 @@
    SUBROUTINE dyn_vor_energy( kt )
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE dyn_vor  ***
+      !!                  ***  ROUTINE dyn_vor_energy  ***
       !!
       !! ** Purpose :   Compute the now total vorticity trend and add it to 
@@ -87,5 +88,9 @@
       !!----------------------------------------------------------------------
 
-      IF( kt == nit000 )   CALL dyn_vor_ctl            ! Check options
+      IF( kt == nit000 ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) 'dyn_vor_energy : vorticity term: energy conserving scheme'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
+      ENDIF
 
       ! Local constant initialization
@@ -140,5 +145,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print sum trends (used for debugging)
+      IF(l_ctl) THEN         ! print sum trends (used for debugging)
          zua = SUM( ua(2:jpim1,2:jpjm1,1:jpkm1) * umask(2:jpim1,2:jpjm1,1:jpkm1) )
          zva = SUM( va(2:jpim1,2:jpjm1,1:jpkm1) * vmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -198,5 +203,9 @@
       !!----------------------------------------------------------------------
 
-      IF( kt == nit000 )   CALL dyn_vor_ctl            ! Check options
+      IF( kt == nit000 ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) 'dyn_vor_mixed : vorticity term: mixed energy/enstrophy conserving scheme'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
+      ENDIF
 
       ! Local constant initialization
@@ -251,5 +260,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print sum trends (used for debugging)
+      IF(l_ctl) THEN         ! print sum trends (used for debugging)
          zua = SUM( ua(2:jpim1,2:jpjm1,1:jpkm1) * umask(2:jpim1,2:jpjm1,1:jpkm1) )
          zva = SUM( va(2:jpim1,2:jpjm1,1:jpkm1) * vmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -263,5 +272,5 @@
    SUBROUTINE dyn_vor_enstrophy( kt )
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE dyn_vor_enstrophy  ***
+      !!                ***  ROUTINE dyn_vor_enstrophy  ***
       !!
       !! ** Purpose :   Compute the now total vorticity trend and add it to
@@ -310,5 +319,9 @@
       !!----------------------------------------------------------------------
       
-      IF( kt == nit000 )   CALL dyn_vor_ctl            ! Check options
+      IF( kt == nit000 ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) 'dyn_vor_enstrophy : vorticity term: enstrophy conserving scheme'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~~~'
+      ENDIF
 
       ! Local constant initialization
@@ -381,5 +394,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print sum trends (used for debugging)
+      IF(l_ctl) THEN         ! print sum trends (used for debugging)
          zua = SUM( ua(2:jpim1,2:jpjm1,1:jpkm1) * umask(2:jpim1,2:jpjm1,1:jpkm1) )
          zva = SUM( va(2:jpim1,2:jpjm1,1:jpkm1) * vmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -414,20 +427,28 @@
       ! Control of vorticity scheme options
       ! -----------------------------------
-      IF( ln_dynvor_ens .AND. lwp ) THEN
+      ! Control print
+      IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'dyn_vor_enstrophy : vorticity term : enstrophy conserving scheme'
-         WRITE(numout,*) '~~~~~~~~~~~~~~~~~~'
+         WRITE(numout,*) 'dyn_vor_ctl : vorticity term : read namelist and control the consistency'
+         WRITE(numout,*) '~~~~~~~~~~~'
+         WRITE(numout,*) '              Namelist nam_dynvor : oice of the vorticity term scheme'
+         WRITE(numout,*) '                 enstrophy conserving scheme                ln_dynvor_ens = ', ln_dynvor_ens
+         WRITE(numout,*) '                 energy    conserving scheme                ln_dynvor_ene = ', ln_dynvor_ene
+         WRITE(numout,*) '                 mixed enstrophy/energy conserving scheme   ln_dynvor_mix = ', ln_dynvor_mix
+      ENDIF
+
+      IF( ln_dynvor_ens ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '              vorticity term : enstrophy conserving scheme'
          ioptio = ioptio + 1
       ENDIF
-      IF( ln_dynvor_ene .AND. lwp ) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'dyn_vor_energy : vorticity term : energy conserving scheme'
-         WRITE(numout,*) '~~~~~~~~~~~~~~ '
+      IF( ln_dynvor_ene ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '              vorticity term : energy conserving scheme'
          ioptio = ioptio + 1
       ENDIF
-      IF( ln_dynvor_mix .AND. lwp ) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'dyn_vor_mixed : vorticity term : mixed enstrophy/energy conserving scheme'
-         WRITE(numout,*) '~~~~~~~~~~~~~ '
+      IF( ln_dynvor_mix ) THEN
+         IF(lwp) WRITE(numout,*)
+         IF(lwp) WRITE(numout,*) '              vorticity term : mixed enstrophy/energy conserving scheme'
          ioptio = ioptio + 1
       ENDIF