Index: trunk/NEMO/OPA_SRC/par_EEL_R2.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 56)
@@ -67,9 +67,9 @@
       !
       &     ppkth =  17.28520372419791_wp   ,  &  !: (non dimensional): gives the approximate
-      !                                           !    layer number above which  stretching will
-      !                                           !    be maximum. Usually of order jpk/2.
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
       &     ppacr =  5.000000000000000_wp         !: (non dimensional): stretching factor
-      !                                           !    for the grid. The highest zacr, the smallest
-      !                                           !    the stretching.
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
    !!
@@ -77,9 +77,6 @@
    !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
    !!
-   REAL(wp), PARAMETER ::        &   !:
-      &     ppdzmin = pp_not_used              ,  &  !: (meters): depth of the top (first) model layer
-      !                                           !           depth of second "w" level
-      &     pphmax  = pp_not_used                    !: (meters):  maximum depth of the ocean
-      !                                           !            depth of the last "w" level
-
+   REAL(wp), PARAMETER ::        &
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_EEL_R5.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 56)
@@ -66,9 +66,9 @@
       !
       &     ppkth = 20._wp                  ,  &  !: (non dimensional): gives the approximate
-      !                                           !    layer number above which  stretching will
-      !                                           !    be maximum. Usually of order jpk/2.
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
       &     ppacr = 16.00000000000_wp             !: (non dimensional): stretching factor
-      !                                           !    for the grid. The highest zacr, the smallest
-      !                                           !    the stretching.
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
    !!
@@ -77,7 +77,5 @@
    !!
    REAL(wp), PARAMETER ::        &  !:
-      &     ppdzmin = 120._wp               ,  &  !: (meters): depth of the top (first) model layer
-      !                                           !           depth of second "w" level
-      &     pphmax  = 4000._wp                    !: (meters):  maximum depth of the ocean
-      !                                           !            depth of the last "w" level
+      &     ppdzmin = 120._wp               ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 4000._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_EEL_R6.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 56)
@@ -66,18 +66,16 @@
       !
       &     ppkth =  17.28520372419791_wp   ,  &  !: (non dimensional): gives the approximate
-      !                                           !     layer number above which  stretching will
-      !                                           !     be maximum. Usually of order jpk/2.
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
       &     ppacr =  5.000000000000000_wp         !: (non dimensional): stretching factor
-      !                                           !     for the grid. The highest zacr, the smallest
-      !                                           !     the stretching.
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
 
    !!  If both ppa0 ppa1 and ppsur are specified to 0, then
    !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-
+   !!
    REAL(wp), PARAMETER ::        &  !:
-      &     ppdzmin = pp_not_used           ,  &  !: (meters): depth of the top (first) model layer
-      !                                           !            depth of second "w" level
-      &     pphmax  = pp_not_used                 !: (meters):  maximum depth of the ocean
-      !                                           !             depth of the last "w" level
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_ORCA_R025.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 56)
@@ -63,9 +63,9 @@
       !
       &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
-      !                                     !    layer number above which  stretching will
-      !                                     !    be maximum. Usually of order jpk/2.
+      !                                     !: layer number above which  stretching will
+      !                                     !: be maximum. Usually of order jpk/2.
       &     ppacr =    9.00000000000_wp     !: (non dimensional): stretching factor
-      !                                     !    for the grid. The highest zacr, the smallest
-      !                                     !    the stretching.
+      !                                     !: for the grid. The highest zacr, the smallest
+      !                                     !: the stretching.
 
    !!
@@ -74,7 +74,5 @@
    !!
    REAL(wp), PARAMETER ::        &
-      &     ppdzmin = 6._wp           ,  &  !: (meters): depth of the top (first) model layer
-      !                                     !           depth of second "w" level
-      &     pphmax  = 5720._wp              !: (meters):  maximum depth of the ocean
-      !                                     !            depth of the last "w" level
+      &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5720._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_ORCA_R05.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 56)
@@ -91,9 +91,13 @@
    !!
    REAL(wp), PARAMETER  ::       &
-      &     ppsur = -4762.96143546300_wp  ,  &  !: ORCA r4, r2 and r05 coefficients
-      &     ppa0  =   255.58049070440_wp  ,  &  !: (default coefficients)
-      &     ppa1  =   245.58132232490_wp  ,  &  !:
-      &     ppkth =    21.43336197938_wp  ,  &  !:
-      &     ppacr =     3.00000000000_wp        !:
+      &     ppsur = -4762.96143546300_wp    ,  &  !: ORCA r4, r2 and r05 coefficients
+      &     ppa0  =   255.58049070440_wp    ,  &  !: (default coefficients)
+      &     ppa1  =   245.58132232490_wp    ,  &  !:
+      &     ppkth =    21.43336197938_wp    ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =     3.00000000000_wp          !: (non dimensional): stretching factor
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
    !!
@@ -102,5 +106,5 @@
    !!
    REAL(wp), PARAMETER ::        &
-      &     ppdzmin = pp_not_used         ,  &  !: Minimum vertical spacing
-      &     pphmax  = pp_not_used               !: Maximum depth
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_ORCA_R2.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_ORCA_R2.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_ORCA_R2.h90	(revision 56)
@@ -4,6 +4,6 @@
    !!                  (0RCA_R2 configuration)
    !!---------------------------------------------------------------------
-   CHARACTER (len=16), PARAMETER ::    &
-      cp_cfg = "orca"           ! name of the configuration 
+   CHARACTER (len=16), PARAMETER ::    &  
+      cp_cfg = "orca"           !: name of the configuration 
    INTEGER, PARAMETER ::     &
       jp_cfg = 2,            &  !: resolution of the configuration (degrees)
@@ -95,6 +95,10 @@
       &     ppa0  =   255.58049070440_wp    ,  &  !: (default coefficients)
       &     ppa1  =   245.58132232490_wp    ,  &  !:
-      &     ppkth =    21.43336197938_wp    ,  &  !:
-      &     ppacr =     3.00000000000_wp          !:
+      &     ppkth =    21.43336197938_wp    ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =     3.00000000000_wp          !: (non dimensional): stretching factor
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
    !!
@@ -103,5 +107,5 @@
    !!
    REAL(wp), PARAMETER ::        &
-      &     ppdzmin = pp_not_used           ,  &  !: Minimum vertical spacing
-      &     pphmax  = pp_not_used                 !: Maximum depth
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_ORCA_R4.h90
===================================================================
--- trunk/NEMO/OPA_SRC/par_ORCA_R4.h90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_ORCA_R4.h90	(revision 56)
@@ -62,7 +62,11 @@
       &     ppsur = -4762.96143546300_wp    ,  &  !: ORCA r4, r2 and r05 coefficients
       &     ppa0  =   255.58049070440_wp    ,  &  !: (default coefficients)
-      &     ppa1  =  245.58132232490_wp     ,  &  !
-      &     ppkth =  21.43336197938_wp      ,  &  !
-      &     ppacr =    3.00000000000_wp           !
+      &     ppa1  =   245.58132232490_wp    ,  &  !:
+      &     ppkth =    21.43336197938_wp    ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =     3.00000000000_wp          !: (non dimensional): stretching factor
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
 
    !!  If both ppa0 ppa1 and ppsur are specified to 0, then
@@ -70,5 +74,5 @@
 
    REAL(wp), PARAMETER ::        &
-      &     ppdzmin = pp_not_used           ,  &  !: Minimum vertical spacing
-      &     pphmax  = pp_not_used                 !: Maximum depth
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
    !!---------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/par_oce.F90	(revision 55)
+++ trunk/NEMO/OPA_SRC/par_oce.F90	(revision 56)
@@ -95,4 +95,11 @@
       ! Domain characteristics
       jperio  =  0,                 &  !: lateral cond. type (between 0 and 6)
+         !                             !  = 0 closed
+         !                             !  = 1 cyclic East-West
+         !                             !  = 2 equatorial symmetric
+         !                             !  = 3 North fold T-point pivot
+         !                             !  = 4 cyclic East-West AND North fold T-point pivot
+         !                             !  = 5 North fold F-point pivot
+         !                             !  = 6 cyclic East-West AND North fold F-point pivot
       jpisl   =  0,                 &  !: number of islands (rigid-lid only)
       jpnisl  =  0                     !: maximum number of points per island