Index: /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 74)
@@ -13,11 +13,12 @@
    USE oce             ! ocean dynamics and active tracers
    USE dom_oce         ! ocean space and time domain
-   USE trdtra_oce     ! ocean active tracer trends
+   USE trdtra_oce      ! ocean active tracer trends
    USE flxrnf          !
    USE trabbl          ! advective term in the BBL
-   USE ocfzpt           !
+   USE ocfzpt          !
    USE lib_mpp
-   USE lbclnk
+   USE lbclnk          ! ocean lateral boundary condition (or mpp link)
    USE in_out_manager  ! I/O manager
+   USE ptr             ! poleward transport diagnostics
 
    IMPLICIT NONE
@@ -299,5 +300,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN
+      IF(l_ctl) THEN
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -310,6 +311,6 @@
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
 # if defined key_s_coord || defined key_partial_steps
-         pht_adv(:,:) = prt_vj( zwy(:,:,:) )
-         pst_adv(:,:) = prt_vj( zwz(:,:,:) )
+         pht_adv(:) = prt_vj( zwy(:,:,:) )
+         pst_adv(:) = prt_vj( zwz(:,:,:) )
 # else
          DO jk = 1, jpkm1
@@ -321,6 +322,6 @@
             END DO
          END DO
-         pht_adv(:,:) = prt_vj( zwy(:,:,:) )
-         pst_adv(:,:) = prt_vj( zwz(:,:,:) )
+         pht_adv(:) = prt_vj( zwy(:,:,:) )
+         pst_adv(:) = prt_vj( zwz(:,:,:) )
 # endif
       ENDIF
@@ -394,5 +395,5 @@
       END DO
 
-      IF( l_ctl .AND. lwp ) THEN
+      IF(l_ctl) THEN
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
Index: /trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv_cen2_atsk.h90	(revision 74)
@@ -260,6 +260,6 @@
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
 # if defined key_s_coord || defined key_partial_steps
-         pht_adv(:,:) = prt_vj( zwy(:,:,:) )
-         pst_adv(:,:) = prt_vj( zwz(:,:,:) )
+         pht_adv(:) = prt_vj( zwy(:,:,:) )
+         pst_adv(:) = prt_vj( zwz(:,:,:) )
 # else
          DO jk = 1, jpkm1
@@ -271,6 +271,6 @@
             END DO
          END DO
-         pht_adv(:,:) = prt_vj( zwy(:,:,:) )
-         pst_adv(:,:) = prt_vj( zwz(:,:,:) )
+         pht_adv(:) = prt_vj( zwy(:,:,:) )
+         pst_adv(:) = prt_vj( zwz(:,:,:) )
 # endif
       ENDIF
Index: /trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 74)
@@ -20,5 +20,7 @@
    USE trabbl          ! Advective term of BBL
    USE lib_mpp
-   USE lbclnk
+   USE lbclnk          ! ocean lateral boundary condition (or mpp link) 
+   USE ptr             ! poleward transport diagnostics
+
 
    IMPLICIT NONE
@@ -268,6 +270,6 @@
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
          ! "zonal" mean advective heat and salt transport
-         pht_adv(:,:) = prt_vj( ztv(:,:,:) )
-         pst_adv(:,:) = prt_vj( zsv(:,:,:) )
+         pht_adv(:) = prt_vj( ztv(:,:,:) )
+         pst_adv(:) = prt_vj( zsv(:,:,:) )
       ENDIF
 #endif
Index: /trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 74)
@@ -12,9 +12,10 @@
    USE oce             ! ocean dynamics and active tracers
    USE dom_oce         ! ocean space and time domain
-   USE ldftra_oce     ! ocean tracer   lateral physics
-   USE trdtra_oce     ! ocean active tracer trend 
+   USE ldftra_oce      ! ocean tracer   lateral physics
+   USE trdtra_oce      ! ocean active tracer trend 
    USE in_out_manager  ! I/O manager
    USE ldfslp          ! iso-neutral slopes 
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE ptr             ! poleward transport diagnostics
 
    IMPLICIT NONE
@@ -214,17 +215,15 @@
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
 # if defined key_s_coord || defined key_partial_steps
-         pht_ldf(:,:) = prt_vj( ztv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zsv(:,:,:) )
+         pht_ldf(:) = prt_vj( ztv(:,:) )
+         pst_ldf(:) = prt_vj( zsv(:,:) )
 # else
-         DO jk = 1, jpkm1
-            DO jj = 2, jpjm1
-               DO ji = fs_2, fs_jpim1   ! vector opt.
-                 ztv(ji,jj,jk) = ztv(ji,jj,jk) * fse3v(ji,jj,jk)
-                 zsv(ji,jj,jk) = zsv(ji,jj,jk) * fse3v(ji,jj,jk)
-               END DO
-            END DO
-         END DO
-         pht_ldf(:,:) = prt_vj( ztv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zsv(:,:,:) )
+         DO jj = 2, jpjm1
+            DO ji = fs_2, fs_jpim1   ! vector opt.
+              ztv(ji,jj) = ztv(ji,jj) * fse3v(ji,jj,jk)
+              zsv(ji,jj) = zsv(ji,jj) * fse3v(ji,jj,jk)
+            END DO
+         END DO
+         pht_ldf(:) = prt_vj( ztv(:,:) )
+         pst_ldf(:) = prt_vj( zsv(:,:) )
 # endif
       ENDIF
Index: /trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 74)
@@ -15,9 +15,10 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables
-   USE ldftra_oce     ! ocean active tracers: lateral physics
-   USE trdtra_oce     ! ocean active tracers: trend variables
+   USE ldftra_oce      ! ocean active tracers: lateral physics
+   USE trdtra_oce      ! ocean active tracers: trend variables
    USE in_out_manager  ! I/O manager
    USE ldfslp          ! iso-neutral slopes available
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
+   USE ptr             ! poleward transport diagnostics 
 
    IMPLICIT NONE
@@ -87,5 +88,5 @@
       ! and multiply by aht (output in (wk1,wk2) )
 
-      CALL ldfght ( tb, sb, wk1, wk2, 1 )
+      CALL ldfght ( kt, tb, sb, wk1, wk2, 1 )
 
 
@@ -98,5 +99,5 @@
       ! (output in (wk3,wk4) )
 
-      CALL ldfght ( wk1, wk2, wk3, wk4, 2 )
+      CALL ldfght ( kt, wk1, wk2, wk3, wk4, 2 )
 
 
@@ -124,5 +125,5 @@
 
 
-   SUBROUTINE ldfght ( pt, ps, plt, pls, kaht )
+   SUBROUTINE ldfght ( kt, pt, ps, plt, pls, kaht )
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE ldfght  ***
@@ -169,4 +170,5 @@
       !!----------------------------------------------------------------------
       !! * Arguments
+      INTEGER, INTENT( in ) ::   kt           ! ocean time-step index
       REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT( in  ) ::   &
          pt, ps           ! tracer fields (before t and s for 1st call
@@ -271,11 +273,13 @@
       !                                                ! ===============
 
+      IF( kaht == 2 .AND. MOD( kt, nf_ptr ) == 0 ) THEN
 #if defined key_diaptr
-      IF( kaht == 2 .AND. MOD( kt, nf_ptr ) == 0 ) THEN
          ! "zonal" mean diffusive heat and salt transport
-         pht_ldf(:,:) = prt_vj( zftv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zfsv(:,:,:) )
+!         pht_ldf(:) = prt_vj( zftv(:,:) )
+!         pst_ldf(:) = prt_vj( zfsv(:,:) )
+        write(numout,cform_err)
+        nstop = nstop + 1
+#endif
       ENDIF
-#endif
 
 
Index: /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 74)
@@ -15,9 +15,9 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables
-   USE ldftra_oce     ! ocean active tracers: lateral physics
-   USE trdtra_oce     ! ocean active tracers: trend variables
+   USE ldftra_oce      ! ocean active tracers: lateral physics
+   USE trdtra_oce      ! ocean active tracers: trend variables
    USE in_out_manager  ! I/O manager
    USE ldfslp          ! iso-neutral slopes
-   USE lbclnk
+   USE ptr             ! poleward transport diagnostics
 
    IMPLICIT NONE
@@ -232,5 +232,5 @@
       !                                             ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print mean trends (used for debugging)
+      IF( l_ctl ) THEN         ! print mean trends (used for debugging)
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -243,9 +243,9 @@
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
       ! "zonal" mean lateral diffusive heat and salt transports
-         pht_ldf(:,:) = prt_vj( zftv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zfsv(:,:,:) )
+         pht_ldf(:) = prt_vj( zftv(:,:,:) )
+         pst_ldf(:) = prt_vj( zfsv(:,:,:) )
          ! "zonal" mean lateral eddy induced velocity heat and salt transports
-         pht_eiv(:,:) = prt_vj( zftv(:,:,:) )
-         pst_eiv(:,:) = prt_vj( zfsv(:,:,:) )
+         pht_eiv(:) = prt_vj( zftv(:,:,:) )
+         pst_eiv(:) = prt_vj( zfsv(:,:,:) )
       ENDIF
 #endif
Index: /trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 73)
+++ /trunk/NEMO/OPA_SRC/TRA/traldf_lap.F90	(revision 74)
@@ -12,8 +12,9 @@
    USE oce             ! ocean dynamics and active tracers
    USE dom_oce         ! ocean space and time domain
-   USE ldftra_oce     ! ocean active tracers: lateral physics
-   USE trdtra_oce     ! ocean active tracer trends
+   USE ldftra_oce      ! ocean active tracers: lateral physics
+   USE trdtra_oce      ! ocean active tracer trends
    USE in_out_manager  ! I/O manager
-   USE lbclnk
+   USE ptr             ! poleward transport diagnostics
+
 
    IMPLICIT NONE
@@ -141,10 +142,17 @@
       !                                                  ! =============
 
+      IF( l_ctl ) THEN         ! print mean trends (used for debugging)
+         zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
+         zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
+         WRITE(numout,*) ' ldf  - Ta: ', zta-t_ctl, ' Sa: ', zsa-s_ctl
+         t_ctl = zta   ;   s_ctl = zsa
+      ENDIF
+
 #if defined key_diaptr
       ! "zonal" mean lateral diffusive heat and salt transport 
       IF( MOD( kt, nf_ptr ) == 0 ) THEN
 # if defined key_s_coord || defined key_partial_steps
-         pht_ldf(:,:) = prt_vj( ztv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zsv(:,:,:) )
+         pht_ldf(:) = prt_vj( ztv(:,:,:) )
+         pst_ldf(:) = prt_vj( zsv(:,:,:) )
 # else
          DO jk = 1, jpkm1
@@ -156,6 +164,6 @@
             END DO
          END DO
-         pht_ldf(:,:) = prt_vj( ztv(:,:,:) )
-         pst_ldf(:,:) = prt_vj( zsv(:,:,:) )
+         pht_ldf(:) = prt_vj( ztv(:,:,:) )
+         pst_ldf(:) = prt_vj( zsv(:,:,:) )
 # endif
       ENDIF